﻿--
-- Script was generated by Devart dbForge Studio 2019 for MySQL, Version 8.2.23.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 09/10/2021 7:41:09
-- Server version: 5.5.5-10.4.10-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS peliculas;

CREATE DATABASE IF NOT EXISTS peliculas
CHARACTER SET utf8mb4
COLLATE utf8mb4_general_ci;

--
-- Set default database
--
USE peliculas;

--
-- Create table `peliculas`
--
CREATE TABLE IF NOT EXISTS peliculas (
  id int(11) NOT NULL,
  titulo varchar(100) NOT NULL,
  descripcion varchar(800) DEFAULT NULL,
  duracion int(11) DEFAULT NULL,
  fechaEstreno date DEFAULT NULL,
  categoria varchar(50) NOT NULL,
  portada varchar(50) NOT NULL,
  director varchar(50) DEFAULT NULL,
  destacada tinyint(1) DEFAULT 0,
  peliculaSemana tinyint(1) DEFAULT 0,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 2048,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

-- 
-- Dumping data for table peliculas
--
INSERT INTO peliculas VALUES
(1, 'Titanic', 'pelicula de barcos', 200, '2000-01-01', 'amor', 'titanic.png', 'james cameron', 1, 1),
(2, 'ventana indiscreta', 'Adaptación de un relato de Cornell Woolrich, convertido en un apasionante ejercicio que toma la mirada como constante referencia. Con talante de "voyeur", Hitchcock articuló una historia cuyo protagonista es el simple testigo de una realidad más o menos cercana. Al margen de su mecánica, milimetrada hasta la perfección, reflexiona sobre su propia condición', 150, '1954-03-01', 'intriga', 'ventana.jpg', 'Alfred Hitchcock', 1, 0),
(3, 'Hasta que llegó su hora', 'El western más ambicioso de su director, que contó con un presupuesto y un reparto de considerable empaque, conteniendo hasta cierto punto los excesos visuales a que tan aficionado fue. Pese a ello, la falta de emoción del conjunto y su premioso ritmo narrativo lastraron unas propuestas que no carecían de interés hasta unos límites que resultan excesivos', 190, '1968-01-01', 'western', 'hastahora.jpg', 'Sergio Leone', 0, 0),
(4, 'Casablanca ', 'Un film tan mítico y divulgado que convierte en ocioso y redundante todo tipo de comentario. Sin embargo, y al revés de lo que ocurre a menudo, su mito no se sustenta en razones puramente coyunturales sino en bases muy sólidas: unas memorables interpretaciones, un guión brillantísimo, una música que extrae talento del puro pastiche y una realización que va más allá de la simple artesanía, demostrando una notable inspiración', 200, '1942-08-02', 'amor', 'casablanca.jpg', 'Michael Curtiz', 1, 0),
(5, 'Gladiator ', 'Gladiator ''es un espectáculo adrenalínico y esteticista que reconcilia a cualquiera no solo con Scott (si hacía falta), sino con el cine de acción y aventuras.Porque, no nos engañemos, ''Gladiator'' no es cine histórico. Es una genuina fantasía (heroica) romana. Un auténtico spaghetti-peplum, con estética tomada prestada tanto de los pintores victorianos y pompiers como del tebeo francobelga y la ciencia ficción apocalíptica a lo ''Mad Max''', 205, '2000-05-01', 'accion', 'gladiator.jpg', 'Ridley Scott', 1, 0),
(6, 'Terminator 2: El juicio final', 'Fastuosa secuela de uno de los títulos emblemáticos del cine fantástico de los 80, que sustituye la contenida simplicidad del referente por una extremada aparatosidad de efectos. Si bien se echa en falta la pureza original, no se le puede negar inteligencia en sus propuestas y eficacia en su recargada resolución', 150, '1991-09-05', 'accion', 'terminator2.jpg', 'James Cameron', 1, 0),
(7, 'Regreso al futuro', 'Imaginativa revisitación del arquetipo fantástico del viaje a través del tiempo que adopta la apariencia de una típica comedia adolescente. Sus gratas premisas tienen un tratamiento que, sin aprovechar totalmente sus posibilidades, proporciona excelentes momentos. Tuvo dos secuelas de valor distinto', 120, '1985-07-05', 'accion', 'regreso.jpg', 'Robert Zemeckis', 0, 0),
(8, 'Salvar al soldado Ryan', 'La película entronca con la reflexión épica de clásicos como ''A Walk in the Sun'' o ''La colina de los diablos de acero'', no tan interesados en discutir ta pertinencia e inmoralidad de la guerra, como en profundizar en la psicología del individuo ante la situación límite por excelencia. la postura ideológica de Spielberg resulta ambigua y discutible, es decir, dotada de una riqueza abierta a la discusión. Una obra compleja a la que es imposible asistir sin sentirse removido por la ferocidad de sus imágenes', 180, '1998-04-05', 'belica', 'salvarsoldado.jpg', 'Steven Spielberg', 0, 0);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;